Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0045991
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSmajoralways2021-03-03 15:312021-03-22 08:07
ReporterLeyreView Statuspublic 
Assigned Torqueralta 
PriorityhighResolutionfixedFixed in VersionRR21Q2
StatusclosedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0045991: Error in Cross Store Sales using the same Assortment

DescriptionError in Cross Store Sales using the same Assortment
Steps To ReproduceIf I make a sale in store 1 selecting a product and its delivery from another store, this sales order can not be issued in the Delivery Store.

The sales order is not well created in the backend, indicating the Document transaction document of the first store, when it should be the second one.

The sales order can be opened by the functionality Open receipt but not by the functionality "Issue Sales Order" nor "Order Preparation", so the delivery can not be done.

Steps to reproduce:

1. Open backend inlivebuilds with white valey group Admin.

2. Add the preference Enable Delivery mode =Y.

3. Add stock for Cooking set in the warehouses for the Stores Vall Boi and Orhi.

4. Go to the termina VB-1
https://livebuilds.openbravo.com/retail_modules_pgsql_pi/web/org.openbravo.retail.posterminal/?terminal=VB-1#retail.pointofsale [^]
and make a sale for Cooking set, check the stock and selecto other stores stock, selecting the store Orhi. Add any customer and any delivery condition.

5. Pay the order.

6. Go to the terminal of Orhi store
https://livebuilds.openbravo.com/retail_modules_pgsql_pi/web/org.openbravo.retail.posterminal/?terminal=OS-1#retail.pointofsale [^]

7. Go to the menu option Issue Sales Order, realize you are not able to open the receipt to deliver it.

8. Realize you are able to open it in Open receipts option, but no able to deliver it.

9. Go to the backend, check the order has been created for Orhi store and VB-1 terminal, but the Transaction Document is the one from Vall Boi, and it should be from Orhi. May be this is why the order is not found...

10. The order can not be also opened from the functionality Order preparation, if you want to check it in this environment you should configure AWO.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0126631)
hgbot (developer)
2021-03-11 14:36

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal/-/merge_requests/342 [^]
(0126807)
hgbot (developer)
2021-03-22 08:07

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal/-/merge_requests/342 [^]
(0126808)
hgbot (developer)
2021-03-22 08:07

Directly closing issue as related merge request is already approved.

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal [^]
Changeset: 3073fdfb0521a3316c95650ae54a9f5efc90dd15
Author: Rafael Queralta <rafaelcuba81@gmail.com>
Date: 2021-03-22T07:05:22+00:00
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal/-/commit/3073fdfb0521a3316c95650ae54a9f5efc90dd15 [^]

Fixed BUG-45991: If it's a cross store order updated the Transaction Document of the order to order organization document type.

---
M src/org/openbravo/retail/posterminal/OrderLoader.java
---

- Issue History
Date Modified Username Field Change
2021-03-03 15:31 Leyre New Issue
2021-03-03 15:31 Leyre Assigned To => Retail
2021-03-03 15:31 Leyre Triggers an Emergency Pack => No
2021-03-08 21:08 rqueralta Assigned To Retail => rqueralta
2021-03-08 21:08 rqueralta Status new => scheduled
2021-03-11 14:36 hgbot Note Added: 0126631
2021-03-22 08:07 hgbot Resolution open => fixed
2021-03-22 08:07 hgbot Status scheduled => closed
2021-03-22 08:07 hgbot Note Added: 0126807
2021-03-22 08:07 hgbot Fixed in Version => RR21Q2
2021-03-22 08:07 hgbot Note Added: 0126808


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker